diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index d2a824a..24b427a 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -220,6 +220,13 @@ clean:
 	@ for i in `find src -name "Makefile.dvi"` ; do rm -f $$i ; done
 	@ rm -f lastBuildDate
 	@ rm -f books/tangle
+	@ rm -f Makefile.pdf books/Makefile.pdf 
+	@ rm -f lsp/Makefile.pdf lsp/Makefile.pdf src/Makefile.pdf
+	@ rm -f src/algebra/Makefile.pdf src/clef/Makefile.pdf 
+	@ rm -f src/doc/Makefile.pdf
+	@ rm -f src/etc/Makefile.pdf src/input/Makefile.pdf 
+	@ rm -f src/interp/Makefile.pdf
+	@ rm -f src/scripts/Makefile.pdf src/share/Makefile.pdf
 
 \end{chunk}
 
diff --git a/changelog b/changelog
index 4cace64..90784b9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140710 tpd src/axiom-website/patches.html 20140710.01.tpd.patch
+20140710 tpd Makefile remove leftover pdf files on clean
 20140708 tpd src/axiom-website/patches.html 20140708.02.tpd.patch
 20140708 tpd books/ps/v102leftorering.eps add missing image file
 20140708 tpd src/axiom-website/patches.html 20140708.01.tpd.patch
diff --git a/patch b/patch
index 4318346..2f744f5 100644
--- a/patch
+++ b/patch
@@ -1 +1 @@
-books/ps/v102leftorering.eps add missing image file
+Makefile remove leftover pdf files on clean
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 35568e3..af1909a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4536,6 +4536,8 @@ books/bookvolbib add Mohr98, Jeff99
 src/algebra/Makefile add LeftOreRing
 <a href="patches/20140708.02.tpd.patch">20140708.02.tpd.patch</a>
 books/ps/v102leftorering.eps add missing image file
+<a href="patches/20140710.01.tpd.patch">20140710.01.tpd.patch</a>
+Makefile remove leftover pdf files on clean
  </body>
 </html>
 
